﻿@using DataAccess.Model
@model DataAccess.Model.Test

@{Html.RenderAction("SidemenuTest", "Menu", new { testId = Model.Id });}

<div class="dashboard-wrapper">
    <div class="container-fluid dashboard-content">
        @Ajax.ActionLink("Zahájit test", "StartTest", "Test", new { id = Model.Id }, new AjaxOptions() { UpdateTargetId = "dynamicContent", InsertionMode = InsertionMode.Replace }, new { @class = "btn btn-outline-success btn-lg mb-3" })

        @if (ViewBag.TestList != null)
        {
            <table class="table">
                <thead class="thead-dark">
                    <tr>
                        <th scope="col">Datum</th>
                        <th scope="col">Body</th>
                        <th scope="col">Úspěšnost</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach (TestFinished test in ViewBag.TestList)
                    {
                        var uspesnost = test.Score * 100 / test.MaxScore;
                        var style = uspesnost >= 50 ? "Green" : "Red";
                        <tr style="@style">
                            <td>@test.CompletingTest</td>
                            <td>@test.Score/@test.MaxScore</td>
                            <td style="color: @style"> @uspesnost %</td>
                        </tr>
                    }
                </tbody>
            </table>
        }
    </div>
</div>